import { world } from "@minecraft/server";

const Demon_Plush = {
    onPlayerInteract({ block, dimension }) {
        const effectLocation = block.center();
        dimension.playSound("demon_plush", effectLocation);
    }
};



world.beforeEvents.worldInitialize.subscribe(({ blockComponentRegistry }) => {
    blockComponentRegistry.registerCustomComponent(
        'mori:xplush',
        Demon_Plush
    );
});