				import { world, EquipmentSlot, ItemStack } from '@minecraft/server';

const Flashlight = {
	onUse({ source }) {
		const equippable = source?.getComponent("minecraft:equippable");
		if (!equippable) return;

		const mainhand = equippable.getEquipmentSlot(EquipmentSlot.Mainhand);

		mainhand.setItem(new ItemStack("mori:flashlight_off"));
	}
};


world.beforeEvents.worldInitialize.subscribe(initEvent => {

	initEvent.itemComponentRegistry.registerCustomComponent('mori:flash_off', Flashlight);
});