import { world } from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe(initEvent => {

	initEvent.itemComponentRegistry.registerCustomComponent('mori:ink_fruit', {
		onConsume: e => {
			const pos = {
				x: 0,
				y: 0,
				z: 0,
			}
			e.source.addEffect('regeneration', 1000, { amplifier: 5, showParticles: true });
			e.source.addEffect('invisibility', 1000, { amplifier: 3, showParticles: true });
			e.source.addEffect('darkness', 100, { amplifier: 2, showParticles: true });
			e.source.runCommand('night_vision', 1000, { amplified: 2, showParticles: true });
			e.world.getDimension("overworld").spawnParticle("minecraft:squid_ink_bubble", pos);
		}
	});
});