import { world } from '@minecraft/server';

const Cursed = {

    onHitEntity({ hitEntity, dimension, attackingEntity }) {
        hitEntity.addTag("cursed_bee_target");
        attackingEntity.runCommand(`summon mori:cursed_bee ~~~~~ summon`);
    },
}
world.beforeEvents.worldInitialize.subscribe(({ itemComponentRegistry }) => {
    itemComponentRegistry.registerCustomComponent("mori:cursed_hook", Cursed);
});